Download Microsoft Fix It to fix MSHTML Shim vulnerability in older versions of Internet Explorer

If you are still using an older version of Internet Explorer like IE8 or earlier, there is a vulnerability in them which allows remote code execution, if users browse to a malicious website with a compromised browser. Microsoft had already released its Security Advisory 2794220 highlighting this issue and suggesting workarounds.

Fixit Download Microsoft Fix It to fix MSHTML Shim vulnerability in older versions of Internet Explorer

To address this issue, Microsoft has also released a Fix It to help fix this very vulnerability in a click. The wizard may be in English, but the fix will work for all languages too.

If you want to run a quiet installation of this Fix it solution:

  1. Open an elevated Command Prompt window with administrator credentials.
  2. Type the following command, and then press Enter:

msiexec /i MicrosoftFixit50971.msi /quiet

The Fix It 50971 will enable MSHTML shim workaround.

You can download it from KB2794220.

Upgrading to the latest versions of Internet Explorer is always the better option, you may want to consider.

Posted by on , in Category Security with Tags
Anand Khanse aka HappyAndyK is an end-user Windows enthusiast, a Microsoft MVP in Windows, since 2006, and the Admin of TheWindowsClub.com. Please create a System Restore Point before trying out any software & be careful about any third-party offers while installing freeware. Add me on Google+.
  • Recent Comments